Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.engine.builder
[Groovy] Class ClosureInvokingAction

    java.lang.Object
      org.springframework.webflow.action.AbstractAction
          org.codehaus.groovy.grails.webflow.engine.builder.ClosureInvokingAction

    class ClosureInvokingAction
    extends AbstractAction

Invokes a closure as a Webflow action placing the returned model within the flow scope.

Authors:
  Graeme Rocher

Since:
  0.6

Property Summary
`java.lang.Object` | `applicationContext`
`groovy.lang.Closure` | `callable`
`java.lang.Object` | `commandClasses`
`boolean` | `hasCommandObjects`
`java.lang.Object` | `noOfParams`

Constructor Summary
`ClosureInvokingAction(groovy.lang.Closure callable)`

Method Summary
`java.lang.Object` | `checkAppContext()`
`java.lang.Object` | `checkForErrors(java.lang.Object context, java.lang.Object scope)`
`protected Event` | `doExecute(RequestContext context)`
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`

Property Detail

### applicationContext

    java.lang.Object applicationContext

### callable

    groovy.lang.Closure callable

### commandClasses

    java.lang.Object commandClasses

### hasCommandObjects

    boolean hasCommandObjects

### noOfParams

    java.lang.Object noOfParams

Constructor Detail

### ClosureInvokingAction

    ClosureInvokingAction(groovy.lang.Closure callable)

Method Detail

### checkAppContext

    java.lang.Object checkAppContext()

### checkForErrors

    java.lang.Object checkForErrors(java.lang.Object context, java.lang.Object scope)

### doExecute

    protected Event doExecute(RequestContext context)

### invokeMethod

    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

Groovy Documentation